QGIS Application - Bug report #11051
Forbide identical names for print composers
2014-08-14 02:44 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19387
Description

| don't know whether it is should be a bug report or a feature request. | let you decide.

When adding a new print composer, QGIS doesn't allow to use a name that is already used for another print composer in the project.
However, u can further rename this print composer with the "forbidden" name, having then in your project more than one print composers
with same name.

Is there a reason why using same name is not allowed during creation?

IMHO, | think that there should be one name <==> one print composer.

Associated revisions

Revision a7d708f9 - 2014-10-19 11:32 AM - Nyall Dawson

[composer] Prevent renaming to duplicate name in manager (fix #11051)

History

#1 - 2014-08-25 04:06 AM - Nyall Dawson
- Status changed from Open to Feedback

How are you renaming the composer to a duplicate name? This should not be possible, so if you can posts the steps you do then | can track this down.

#2 - 2014-08-25 05:45 AM - Harrissou Santanna

Hi Nyall
In the Composer Manager, when you click on the Rename button, you can't give it an existing name. But that is allowed when you double click the name of
the composer.

#3 - 2014-09-19 07:44 PM - Nyall Dawson

- Affected QGIS version set to 2.4.0

- Tracker changed from Feature request to Bug report
- Status changed from Feedback to In Progress

- Crashes QGIS or corrupts data set to No

#4 - 2014-10-19 02:33 AM - Nyall Dawson
- Status changed from In Progress to Closed
Fixed in changeset commit:"a7d708f95ea7c55f11b3c2f2dacf335b2747bc9e".
